%define	name	konference
%define	version 0.1
%define	rel	1.alpha2.3
%define	release	%mkrel %{rel}

Summary:	Video-conferencing for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Video
License:	GPL
Url:		http://developer.berlios.de/projects/konference/
Source0:	%{name}-%{version}alpha2.tar.bz2
BuildRequires:	kdelibs-devel 
BuildRequires:  ffmpeg-devel 
BuildRequires:  sip-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Konference is (or better: will be) a video-conferencing application for KDE.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure     --build=%{_target_platform} \
                --prefix=%{_prefix} \
                --libdir=%{_libdir} \
                --disable-debug \
                --enable-mt \
                --enable-shared \
                --disable-static \
                --disable-objprelink \
                --with-pic \
                --with-gnu-ld \
                --disable-rpath \
                --disable-embedded \
                --enable-fast-install=yes \
                --with-qt-dir=%{_prefix}/lib/qt3 \
                --with-xinerama \
                --enable-final \
%if "%{_lib}" != "lib"
                --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make
 
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Multimedia/Video" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde

#(peroyvind): icons fscked up
#install -m644 src/hi16-app-konference.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
#install -m644 src/hi32-app-konference.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#install -d $RPM_BUILD_ROOT%{_liconsdir}
#convert -size 48x48 src/hi32-app-konference.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}
 
%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%{_bindir}/%{name}
%{_libdir}/kde3/lib*
%{_datadir}/apps/*
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/config.kcfg/konference.kcfg
%{_datadir}/services/konference_part.desktop
%{_menudir}/%{name} 
#%{_miconsdir}/%{name}.png
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png 
%{_iconsdir}/hicolor/*/apps/*.png

%changelog
* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-0.alpha2.4mdk
- Remove redundant buildRequires

* Sun Dec 25 2005 Anssi Hannula <anssi@mandriva.org> 0.1-0.alpha2.3mdk
- fix x86_64 build

* Thu Jun 30 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1-0.alpha2.2mdk
- fix group

* Wed Jun 29 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1-0.alpha2.1mdk
- initial release (club request)
